package com.bonus.material.app.mapper;

import com.bonus.material.app.domain.MachineOcrBean;
import com.bonus.material.ma.domain.vo.MachineVo;

import java.util.List;

/**
 * @ClassName AppOcrMapper
 * @Author ma_sh
 * @create 2025/1/2 13:51
 */
public interface AppOcrMapper {

    /**
     * 查询机具出库列表
     * @param bean
     * @return
     */
    List<MachineOcrBean> findByPage(MachineOcrBean bean);

    /**
     * 根据设备编号查询机具出库列表
     * @param bean
     * @return
     */
    List<MachineVo> findListByDeviceCode(MachineOcrBean bean);

    /**
     * 添加机具出库记录
     * @param o
     */
    void addOcrRecord(MachineOcrBean o);

    /**
     * 根据设备编号查询机具编码
     * @param o
     * @return
     */
    List<MachineVo> findCodeList(MachineOcrBean o);

    /**
     * 更新机具入库数据
     * @param bean
     * @return
     */
    int updateStorageData(MachineOcrBean bean);

    int updateStorageDataBack(MachineOcrBean bean);
}
